path: /build/build/zfs-kmod-kernel-5.10-2.2.5.package.tar.zst
dependencies: []
compilespec:
  steps:
  - epro list && emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/5.10.223-macaroni/extra/ -name '*.ko') ;
    do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:928145f86569bf8f087d9e603b6b0d587e7488ba51d647717ed76ea5c6b38bf7
  package:
    name: zfs-kmod
    version: 2.2.5
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: zfs-kmod
      version: 2.2.5
      category: sys-fs-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-19 20:40:51.006244429 +0000 UTC m=+348.725583443
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.223
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 405c196e61a4996edc225b3f24c119795342f54ed80d2f7c963520c31a1a6ec3
compressiontype: zstd
files:
- lib/modules/5.10.223-macaroni/extra/spl.ko.xz
- lib/modules/5.10.223-macaroni/extra/zfs.ko.xz
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.2.5
  category: kernel-5.10
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  provides:
  - name: zfs-kmod
    version: 2.2.5
    category: sys-fs-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.223
